> For the complete documentation index, see [llms.txt](https://docs.adnuntius.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.adnuntius.com/adnuntius-data/api-documentation/http/http-segment.md).

# /segment

The HTTP API enables you to send user's segment to Adnuntius Data.

{% hint style="info" %}
Typically you are recommended to send these events from the user's browser using the [Javascript API](https://github.com/Adnuntius/documentation/tree/0a4577c0f8dcd858141afe8c1a4af9b63d7cf3fc/adnuntius-data/api-documentation/javascript.md).
{% endhint %}

## Request object

Data is sent to Adnuntius using a HTTP GET request, with query parameters containing the fields described below.

The requests are sent to the following URL:

`https://data.adnuntius.com/segment`

If the request is received correctly, an HTTP 200 status code will be returned.

### Field Descriptions

| Name        | Type   | Description                                           |
| ----------- | ------ | ----------------------------------------------------- |
| `segmentId` | String | Identification of the segment.                        |
| `folderId`  | String | The folder identifier from Adnuntius Data             |
| `browserId` | String | A unique identifier for the the users browser or app. |

### Example cURL request

This is a very simple example, using [curl](https://curl.haxx.se), demonstrating how a segment is sent to Adnuntius Data.

```bash
curl -H "Content-Type: application/json" https://data.adnuntius.com/segment?segmentId=zxcvbn98765&folderId=00000000000123ab&browserId=123456
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.adnuntius.com/adnuntius-data/api-documentation/http/http-segment.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
